#! /bin/bash

# major dependencies:
# pdflatex (eg. mactex)
# gnuplot (eg. brew)
# autoconf, automake (eg. brew)
# perl Pod::Select module (deprecated and removed in recent versions)
# perl -MCPAN -e 'install Pod::Select'

THREADS=16

#prefix=$(realpath .)/darshan
prefix=$(dirname $(realpath ${BASH_SOURCE[0]}))/darshan
build_dir=${prefix}/build
install_dir=${prefix}/install
log_dir=${prefix}/log

mkdir -p ${build_dir}
cd ${build_dir}

echo "GIT CLONE"
git clone https://github.com/darshan-hpc/darshan.git
cd darshan
echo ""

echo "PREPARE"
time ./prepare.sh 1> prepare.stdout.txt 2> prepare.stderr.txt
echo ""

cd darshan-util

echo "CONFIGURE"
time ./configure CC=gcc --prefix=${install_dir} 1> config.stdout.txt 2> config.stderr.txt
echo ""

echo "MAKE -j ${THREADS}"
time make -j ${THREADS} 1> make.stdout.txt 2> make.stderr.txt
echo ""

echo "INSTALL"
time make install 1> install.stdout.txt 2> install.stderr.txt
echo ""

echo "DONE"
