#! /bin/bash

THREADS=16

prefix=$(dirname $(realpath ${BASH_SOURCE[0]}))/darshan
build_dir=${prefix}/build
install_dir=${prefix}/install
log_dir=${prefix}/log

mkdir -p ${build_dir}
cd ${build_dir}

echo "GIT CLONE"
git clone https://github.com/darshan-hpc/darshan.git
cd darshan
echo ""

echo "PREPARE"
time ./prepare.sh 1> prepare.stdout.txt 2> prepare.stderr.txt
echo ""

echo "CONFIGURE"
time ./configure --with-log-path=${log_dir} --with-jobid-env=PBS_JOBID CC=mpicc --prefix=${install_dir} 1> config.stdout.txt 2> config.stderr.txt
echo ""

echo "MAKE -j ${THREADS}"
time make -j ${THREADS} 1> make.stdout.txt 2> make.stderr.txt
echo ""

echo "INSTALL"
time make install 1> install.stdout.txt 2> install.stderr.txt
echo ""

echo "INIT"
cd ${install_dir}/bin
log_path=$(./darshan-config --log-path)
mkdir -p ${log_path}
./darshan-mk-log-dirs.pl
ls ${log_path}/*
echo ""

echo "DONE"
