#define _GNU_SOURCE

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>

#include <sched.h>

#include <omp.h>

#include <mpi.h>

int main(int argc, char *argv[]) {

  int mpi_rank, mpi_nranks, ret;
  int omp_max;
  int cpu;
  
  int provided;
  ret = MPI_Init_thread(&argc, &argv,MPI_THREAD_FUNNELED,&provided);
  //MPI_Init(&argc, &argv);
  
  ret = MPI_Comm_rank(MPI_COMM_WORLD, &mpi_rank);
  ret = MPI_Comm_size(MPI_COMM_WORLD, &mpi_nranks);
  
  cpu = sched_getcpu();
  printf("rank %d main on cpu %d\n",mpi_rank,cpu);

  //omp_max = omp_get_max_threads();
  //printf("max threads = %d\n",omp_max);
  
#pragma omp parallel
  {
    int omp_num = omp_get_num_threads();
    int tid = omp_get_thread_num();
    int tcpu = sched_getcpu();
    printf("rank %d thread %d of %d on cpu %d\n",mpi_rank,tid,omp_num,tcpu);
  }

  cpu = sched_getcpu();
  printf("rank %d main on cpu %d\n",mpi_rank,cpu);

  MPI_Finalize();
  
  return 0;
}
