#define _GNU_SOURCE

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>

#include <sched.h>

#include <omp.h>

#include <mpi.h>

int main(int argc, char *argv[]) {
  
  int cpu, omp_max;

  cpu = sched_getcpu();
  printf("main on %d\n",cpu);

  omp_max = omp_get_max_threads();
  printf("max threads = %d\n",omp_max);
  
#pragma omp parallel
  {
    int tid = omp_get_thread_num();
    int tcpu = sched_getcpu();
    int omp_num = omp_get_num_threads();
    if(tid==0) {
      printf("thread 0 of %d on %d\n",omp_num,tcpu);
    }
  }

  cpu = sched_getcpu();
  printf("main on %d\n",cpu);
  
  return 0;
}
