#! /bin/bash

outName=tmp.gio
seed=3

if [ $# -lt 6 ]
then
    echo "USAGE: $0 <exe> <nodes> <rpn> <file_count> <stripe_count> <GB> [seed=${seed}]"
    exit
fi
exe=$(realpath $1)
nodes=$2
rpn=$3
file_count=$4
stripe_count=$5
GB=$6

if [ $# -gt 6 ]
then
    seed=$7
fi


ranks=$(( $nodes * $rpn ))

# figure out new dir name
dirBase="n${nodes}_r${ranks}_fc${file_count}_sc${stripe_count}_GB${GB}"
dirCnt=0
while [ -d ${dirBase}_${dirCnt} ];
do
    dirCnt=$(( $dirCnt + 1 ))
done
dirName="${dirBase}_${dirCnt}"
echo ${dirName}

# mkdir
mkdir -p ${dirName}

# set stripe count
lfs setstripe -c ${stripe_count} ${dirName}

# set file count
export GENERICIO_PARTITIONS_USE_NAME=0
export GENERICIO_RANK_PARTITIONS=${file_count}

# 
cpn=104
#cpr=$(( $cpn / $rpn ))
cpr=1
export OMP_NUM_THREADS=${cpr}
export OMP_PLACES=cores

# 
cd ${dirName}
mpiexec -n 1 -ppn 1 --envall env > env.txt
mpiexec -n ${ranks} -ppn ${rpn} --depth=${cpr} --cpu-bind depth --envall ${exe} ${outName} ${GB} ${seed} 1> stdout.txt 2> stderr.txt
