module use /soft/modulefiles
module load daos/base

DAOS_POOL_NAME=HACC_aesp_CNDA
DAOS_CONT_NAME=gio_posix

outDir="/tmp/${DAOS_POOL_NAME}/${DAOS_CONT_NAME}/test_gio_daos_posix_1/${nameBase}/${PBS_JOBID_SHORT}"

# set file count
export GENERICIO_PARTITIONS_USE_NAME=0
export GENERICIO_RANK_PARTITIONS=${file_count}

# OMP
export OMP_NUM_THREADS=1
export OMP_PLACES=cores

# cpu bind
# stride to round-robin NICs and DRAM banks
# socket0 4:9:14:19:20:25:30:35
# socket1 56:61:66:71:72:77:82:87
# alternate sockets to balance up to 16rpn with same list
CPU_BINDING=list:4:56:9:61:14:66:19:71:20:72:25:77:30:82:35:87

#
export FI_CXI_DEFAULT_CQ_SIZE=1048576

# choose one of these
#export MY_PRELOAD=/usr/lib64/libioil.so
export MY_PRELOAD=${DAOS_PRELOAD}

# will need this for mpiio but not for posix
#export ROMIO_FSTYPE_FORCE="daos:"

#

export TZ='/usr/share/zoneinfo/US/Central'
date
echo "LD_PRELOAD=${LD_PRELOAD}"

ps -f -u daos_agent
daos version

clean-dfuse.sh ${DAOS_POOL_NAME}:${DAOS_CONT_NAME}
launch-dfuse.sh ${DAOS_POOL_NAME}:${DAOS_CONT_NAME}
/tmp/mount | grep dfuse

mpiexec -n 1 -ppn 1 --envall mkdir -p ${outDir}
sleep 1
mpiexec -n 1 -ppn 1 --envall env > ${outDir}/env.txt
mpiexec --env LD_PRELOAD=${MY_PRELOAD} -n ${ranks} -ppn ${rpn} --cpu-bind ${CPU_BINDING} --no-vni --envall ${exe} ${outDir}/${outName} ${file_size_GB} ${seed} 1> ${outDir}/stdout.txt 2> ${outDir}/stderr.txt
sleep 1
ls -l ${outDir} > ${outDir}/ls-l.txt
if [ "x${outDir}" != "x" ]
then
    if [ "x${outName}" != "x" ]
    then
	rm -f ${outDir}/${outName}*
    fi
fi

clean-dfuse.sh ${DAOS_POOL_NAME}:${DAOS_CONT_NAME}
