#! /bin/bash

walltime=01:00:00
queue=lustre_scaling
account=HACC_aesp_CNDA

SLEEPY_TIME=60

if [ $# -lt 6 ]
then
    echo "USAGE: $0 <exe> <nodes> <rpn> <file_count_list> <file_size_GB> <qsub_name>"
    exit
fi
exe=$(realpath $1)
nodes=$2
rpn=$3
fcl=$4
fs=$5
scriptName=$6

# bash
echo "#! /bin/bash" > ${scriptName}
echo "" >> ${scriptName}

# PBS
echo "#PBS -l select=${nodes}" >> ${scriptName}
echo "#PBS -l walltime=${walltime}" >> ${scriptName}
echo "#PBS -q ${queue}" >> ${scriptName}
echo "#PBS -A ${account}" >> ${scriptName}
echo "#PBS -l place=scatter" >> ${scriptName}
echo "#PBS -l daos=default" >> ${scriptName} 
echo "#PBS -N gio_daos_posix_series" >> ${scriptName}
#PBS -k doe
echo "" >> ${scriptName}

prefix=$(dirname $(realpath ${BASH_SOURCE[0]}))
cd ${prefix}

echo "cd ${prefix}" >> ${scriptName}
echo "" >> ${scriptName}

for fc in ${fcl};
do
    ./gen_pbs.sh ${exe} ${nodes} ${rpn} ${fc} ${fs}
    nameBase="n${nodes}_rpn${rpn}_fc${fc}_fs${fs}GB"
    echo "./test_${nameBase}.pbs.sh" >> ${scriptName}
    echo "sleep ${SLEEPY_TIME}" >> ${scriptName}
    echo "" >> ${scriptName}
done
