dirCnt=0
while [ -d ${dirBase}_${dirCnt} ];
do
    dirCnt=$(( $dirCnt + 1 ))
done
dirName="${dirBase}_${dirCnt}"
echo ${dirName}

# mkdir
mkdir -p ${dirName}

# set stripe count and size
stripe_size=$(( ${stripe_size_MB} * 1048576 ))
lfs setstripe -c ${stripe_count} -S ${stripe_size} ${dirName}

# set file count
export GENERICIO_PARTITIONS_USE_NAME=0
export GENERICIO_RANK_PARTITIONS=${file_count}

# OMP
export OMP_NUM_THREADS=1
export OMP_PLACES=cores

# darshan
darshan_logfile=${dirName}.darshan

# cpu bind
# stride to round-robin NICs and DRAM banks
# socket0 4:9:14:19:20:25:30:35
# socket1 56:61:66:71:72:77:82:87
# alternate sockets to balance up to 16rpn with same list
CPU_BINDING=list:4:56:9:61:14:66:19:71:20:72:25:77:30:82:35:87

# 
cd ${dirName}
mpiexec -n 1 -ppn 1 --envall env > env.txt
LD_PRELOAD=${darshan_so} DARSHAN_LOGFILE=${darshan_logfile} mpiexec -n ${ranks} -ppn ${rpn} --cpu-bind ${CPU_BINDING} --envall ${exe} ${outName} ${file_size_GB} ${seed} 1> stdout.txt 2> stderr.txt
